Tip: Fixing compatibility with older applications running under Ubuntu Linux
Posted on: 10/24/2004 08:59 AM

Some older applications are failing with the following error message:

error while loading shared libraries: libstdc++-libc6.2-2.so.3: cannot open shared object file: No such file or directory

The solution is fairly easy and needs two packages from Debian GNU/Linux 3.0

1) Open a root terminal and download the packages with wget:

wget http://ftp.at.debian.org/debian/pool/main/g/gcc/libstdc++2.10_2.95.2-14_i386.deb
wget http://ftp.at.debian.org/debian/pool/main/g/gcc-2.95/libstdc++2.10-glibc2.2_2.95.4-11woody1_i386.deb

2) Install the packages with dpkg:

dpkg -i libstdc*



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/tip_fixing_compatibility_with_older_applications_running_under_ubuntu_linux.html)